var assert = {
    hasUrl: function (url) {
        if (!url) {
            throw new Error('url undefined');
        }

        return function (extension) {
            if (!extension) {
                throw new Error('extension undefined');
            }

            return extension.url === url;
        }
    }
};

module.exports = assert;